//
//  RTypedTag.swift
//  RealmBug
//
//  Created by Michal Rentka on 02.03.2022.
//

import Foundation

import RealmSwift

final class RTypedTag: Object {
    enum Kind: Int, PersistableEnum {
        case automatic = 1
        case manual = 0
    }

    @Persisted var type: Kind
    @Persisted var tag: RTag?
    @Persisted var item: RItem?
}
